#include "qlopdatabaseviewer.h"
#include "ui_qlopdatabaseviewer.h"

QLopDataBaseViewer::QLopDataBaseViewer(QWidget *parent) :
    QDockWidget(parent),
    ui(new Ui::QLopDataBaseViewer)
{
    ui->setupUi(this);
    this->model = new QLopDataBaseViewerModel();
    this->ui->dataBaseTbleView->setModel(model);
    connect(QLopDataBase::self(),SIGNAL(DBChanged()),this->model,SLOT(DBChanged()));
}

QLopDataBaseViewer::~QLopDataBaseViewer()
{
    delete ui;
    delete model;
}

void QLopDataBaseViewer::changeEvent(QEvent *e)
{
    QDockWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}

